Module ij
Package ij.util

# Class DicomTools

java.lang.Object
ij.util.DicomTools

public class DicomTools extends Object
DICOM utilities

## Constructor Summary

Constructors
Constructor
Description
`DicomTools()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getTag(ImagePlus imp, String id)`
Returns the value (as a string) of the specified DICOM tag id (in the form "0018,0050") of the specified image or stack slice.
`static String`
`getTagName(String id)`
Returns the name of the specified DICOM tag id.
`static double`
`getVoxelDepth(ImageStack stack)`
Calculates the voxel depth of the specified DICOM stack based on the distance between the first and last slices.
`static ImageStack`
`sort(ImageStack stack)`
Sorts a DICOM stack by image number.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DicomTools

public DicomTools()

## Method Details

### sort

public static ImageStack sort(ImageStack stack)
Sorts a DICOM stack by image number.

### getVoxelDepth

public static double getVoxelDepth(ImageStack stack)
Calculates the voxel depth of the specified DICOM stack based on the distance between the first and last slices.

### getTag

public static String getTag(ImagePlus imp, String id)
Returns the value (as a string) of the specified DICOM tag id (in the form "0018,0050") of the specified image or stack slice. Returns null if the tag id is not found.

### getTagName

public static String getTagName(String id)
Returns the name of the specified DICOM tag id.